> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Installation

> This endpoint allows you to edit an existing installation for a user. The `credentialIds` and `installationId` are optional parameters. If the user has authorized any of the apps in the integration more than once, then `credentialIds` is required. Otherwise, the user's credentials will be automatically detected.



## OpenAPI

````yaml post /headless/editInstallation
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /headless/editInstallation:
    post:
      summary: Edit Installation
      description: >-
        This endpoint allows you to edit an existing installation for a user.
        The `credentialIds` and `installationId` are optional parameters. If the
        user has authorized any of the apps in the integration more than once,
        then `credentialIds` is required. Otherwise, the user's credentials will
        be automatically detected.
      operationId: edit-installation
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - userId
                - integrationId
              properties:
                userId:
                  type: string
                  description: The id of the user to generate this link for.
                  example: string
                integrationId:
                  type: string
                  description: The integration you want to install.
                  example: string
                credentialIds:
                  type: array
                  description: >-
                    List of credentials to be used in this installation. If the
                    user has authorized any of the apps in the integration more
                    than once, then this field is required. Otherwise, the
                    user's credentials will be automatically detected.
                  items:
                    type: string
                installationId:
                  type: string
                  description: ID you received when you started the installation.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      installationId:
                        type: string
                        example: 674570d5160c297be4a3ee74
                      integrationId:
                        type: string
                        example: 66fa99433793749b64c1bf82
                      userId:
                        type: string
                        example: 659d28e18c35f07db18fcd8c
                      formData:
                        type: array
                        items: {}
                      credentialIds:
                        type: object
                        additionalProperties:
                          type: string
                        example:
                          klaviyoApi: 66c79e5965ede8edfa909553
                      workflowIds:
                        type: array
                        items:
                          type: string
                        example:
                          - 66fa99453793749b64c1bfa8
                      installedData:
                        type: array
                        items: {}
                      installedAt:
                        type: string
                        format: date-time
                        example: '2024-11-26T06:55:33Z'
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````